> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/faceliveness/release-notes.md).

# Release Notes

## February 09th, 2026

### `FaceLiveness 5.2.0`

{% hint style="warning" %}
Versions earlier than 5.2.0 will result iProov Liveness to become inoperable as of March 12, 2026. To ensure proper functionality and service continuity, please use version 5.2.0 or later.
{% endhint %}

#### Highlights

* Updated iProov version from 9.1.2 to 11.1.0.
* New failure types: Added new failure to CafFailureType for better failure handling:
  * `BACKGROUND_ISSUE`
  * `DEVICE_ISSUE`
  * `EYEWEAR`
  * `FACE_NOT_FOUND`
  * `FRAMES_BLURRY`
  * `MOTION_ISSUE`
  * `LIGHTING_ISSUES`
  * `REJECTED`
  * `SYSTEM_ERROR`
  * `TIMEOUT`
  * `USER_NOT_FOUND`
  * `DEVICE_RESTART`
  * `PROCESSING_FAULT`

## June 18th, 2025

### `FaceLiveness 4.2.0`

#### Highlights

* Analytics and Crashlytics improviments.

## May 08th, 2025

### `FaceLiveness 4.1.1`

#### Fixes

* Fixed crash when network is not working.

## March 31th, 2025

### `FaceLiveness 4.1.0`

#### Highlights

* Implementation of a new analytics route.

## March 11th, 2025

### `FaceLiveness 4.0.1`

#### Fixes

* Fixed internal parsing issues.

## February 20th, 2025

### `FaceLiveness 4.0.0`

#### Breaking Changes

* Added `onFailure` event to [VerifyLivenessListener](/caf-sdk/android/standalone-modules/faceliveness.md#consulting-a-policy).

{% hint style="warning" %}
Now the dependency is using a new `groupId`: `implementation("io.caf.sdk:new-face-liveness:4.0.0")`
{% endhint %}

#### Highlights

* Added new errors to be handled. See them [here](/caf-sdk/android/standalone-modules/faceliveness.md#errortype).
* Added new failures to be handled. See them [here](/caf-sdk/android/standalone-modules/faceliveness.md#failure-types).
* Added new analytics metrics

## February 7th, 2025

### `FaceLiveness 3.3.0`

#### Highlights

* Updated all versions of caf's internal libraries.
* Added new analytics metrics

## December 11th, 2024

### `FaceLiveness 3.2.3`

#### Highlights

* Updated all versions of caf's internal libraries.
* Update iProov version from `9.0.4` to `9.1.2`.
* Update Fingerprint version from `2.5.0` to `2.7.0`.

{% hint style="warning" %}
Make sure that the address of the iProov repository is as shown: <https://raw.githubusercontent.com/iProov/android/**patch912**/maven/>
{% endhint %}

## November 25th, 2024

### `FaceLiveness 3.2.2`

#### Highlights

* Fixed multiple instances call from Faceliveness initialization

## August 7th, 2024

### `FaceLiveness 3.2.0`

#### Highlights

* Created methods to make implementing reverse proxy possible.
* Optimized metrics collecting to ensure data security.

#### Breaking changes

* Updated Kotlin version from `1.5.32` to `1.9.10`.
* Updated FingerprintJS dependency from `2.3.2` to `2.4.0`.
* Updated Gradle from `6.9.1` to `8.4`.
* Updated Android Gradle Plugin from `7.4.2` to `8.3.2`.
* Updated compile and taget SDK from `33` to `34`.

## June 17th, 2024

### `FaceLiveness 3.1.0`

#### Fixes

* Update iProov Version to `9.0.4`.
* Improve Thread-Safety objects.
* Crashlytics improvement.

## April 26th, 2024

### `FaceLiveness 3.0.0`

#### Breaking changes

* Removed fields from `FaceLivenessResult`, leaving only `signedResponse`.
* Removed `FaceLivenessResult` from `onCancel` in the listener contract.
* Created `public enum ErrorType` with new [errorTypes](https://github.com/combateafraude/public-docs/blob/docs-sdks/android/faceliveness/getting-started/faceliveness.md#errortype).
* `SDKFailure` now only returns `errorType: ErrorType` and `description: String`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/faceliveness/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
